Subject: Re: RFC: top level compatibles for virtual platforms

From: Timur Tabi <[email-masked]>
Date: Mon, 11 Jul 2011 12:54:23 -0500

Scott Wood wrote:
> The device tree is supposed to describe the hardware (virtual or
> otherwise), not just supply what Linux wants.  Perhaps there simply
> shouldn't be a toplevel compatible if there's nothing appropriate to
> describe there -- and fix whatever issues Linux has with that.

That might be the way to go.  I wonder if we can get rid of the platform file
altogether, at least in some situations.

> But what about this is specific to kvm (the actual hypervisor info is
> already described in /hypervisor)?  Then we'll have to add a platform match
> for every other hypervisor out there that does the same thing.

I don't know enough about KVM to answer that question.

Frankly, I like the approach that Topaz takes -- add a "-hv" to the real
hardware platform.  The only drawback is that each platform needs to add support
for virtualization, but we already have this problem with Topaz today.

-- 
Timur Tabi
Linux kernel developer at Freescale